{% extends '../base.html' %}

{% block content %}

<body>
  <header>
    <nav>
      <p><a href="{% url 'create_book' %}">Add book</a></p>
    </nav>
  </header>
  <main>
    {% for book in books %}
      <div class="book-card">
        <h2>
          <a href="{% url 'book_detail' book.pk %}">{{ book.title }}</a>
        </h2>
        {% comment %} <p><h4>Authors: {{ book.author.first.name }}</h4></p> {% endcomment %}
        {% for author in book.authors.all %}
        <h4>Author: {{ author.name }}</h4>
        {% endfor %}
        <p>Page count: {{ book.pages }}</p>
        <p>ISBN number: {{ book.isbn }}</p>
        <p>Book description: {{ book.description }}</p>
        <p><img src={{ book.image }} width="400" height="auto"></p>
        <p><a href="{% url 'edit_book' book.pk %}">Edit</a></p>
      </div>
    {% endfor %}
  </main>
</body>

{% endblock %}
